//
// 2000 Microsoft Corporation. All rights reserved.
//

var visualizationIsOpen = false;
var videoIsOpen = false;
var equalizerIsOpen = false;
var playlistIsOpen = false;
var boolPlaying = true;
var speed = 500;

// for keeping track if a video is being played (as opposed to just sound)
var vidIsRunning = false;

function OnTimerTick()
{
    var mm = ((seek.value < 600)   ? "0" : "")
        + Math.floor(seek.value / 60);
    var ss = ((seek.value%60) < 10 ? "0" : "")
        + Math.floor(seek.value % 60);
    metadataTime.value = mm + ":" + ss;

}


function Init()
{
   pl23.setColumnResizeMode( 0, "Stretches" );
   pl23.setColumnResizeMode( 1, "AutoSizeData" );

    if(player.OpenState==osMediaOpen)
    {
        OnPlayStateChange();
    }	
}

function OnOpenStateChange()
{
    if(player.OpenState == osMediaOpen)
    {
 	Init();          
    }
}

function OnPlayStateChange()
{
   SetSourceImage(); // CD|net|local
   switch(player.PlayState)
   {
   case 1:
	bPause.visible = false;
   	EndVideo();
   	break;
   case 2:
	bPause.visible = false;
	break;
   case 3:
	bPause.visible = true;
      if (player.currentMedia.ImageSourceWidth>0) {
      		StartVideo();
      	} else {
		visualizationIsOpen = false;
		ToggleVisualizationView();
	}
      break;
   case 7:
	bPause.visible = false;
   }	
}


function ToggleVisualizationView() {
	closeAnyOpenDrawers("vis");
	if(visualizationIsOpen) {
		var boolHalfClosed = false
		drawer_visualization.moveto(153, 0, speed);
		drawer_visualization.moveto(153, -159, speed);
	}
	else {
		drawer_video.moveto(210, -175, speed);
		drawer_visualization.moveto(23, 0, speed);
	}
	visualizationIsOpen = !visualizationIsOpen;
}

function ToggleVideoView() {
	closeAnyOpenDrawers("vid");
	
	if(videoIsOpen) {
		if(player.currentMedia.ImageSourceWidth>0){
			player.controls.stop();
			vid.visible=false;
			}
		drawer_video.moveto(210, -175, speed);
	}
	else {
		vid.visible=true;
		drawer_video.moveto(0, 60, speed);
	}
	videoIsOpen = !videoIsOpen;
}

function ToggleEqualizerView() {
	closeAnyOpenDrawers("eq");
	if(equalizerIsOpen) {
		drawer_eq.moveto(250, -35, speed);
	}
	else {
		drawer_eq.moveto(140, 125, speed);
	}
	equalizerIsOpen = !equalizerIsOpen;
}

function TogglePlaylistView() {
	closeAnyOpenDrawers("pl");
	if(playlistIsOpen) {
		drawer_playlist.moveto(307, 31, speed);
		 pl23.visible = false;
	}
	else {
		drawer_playlist.moveto(177, 165, speed);
		pl23.visible = true;
	}
	playlistIsOpen = !playlistIsOpen;
}

// Closes any open drawers, except the one which called it.
function closeAnyOpenDrawers(which) {
	if (which != "vis") {
		if (visualizationIsOpen) {
		//	ToggleVisualizationView();
			if(visualizationIsOpen) {
				var boolHalfClosed = false
				drawer_visualization.moveto(153, 0, speed);
				drawer_visualization.moveto(153, -159, speed);
			}
			visualizationIsOpen = false;
		}
	}
	if (which != "vid") {
		if (videoIsOpen) {
		//	ToggleVideoView();
			if(videoIsOpen) {
				if(player.currentMedia.ImageSourceWidth>0){
					player.controls.stop();
					vid.visible=false;
				}
				drawer_video.moveto(210, -175, speed);
			}
			videoIsOpen = false;
		}
	}
	if (which != "eq") {
		if (equalizerIsOpen) {
		//	ToggleEqualizerView();
			if(equalizerIsOpen) {
				drawer_eq.moveto(250, -35, speed);
			}
			equalizerIsOpen = false;
		}
	}
	if (which != "pl") {
		if (playlistIsOpen) {
		//	TogglePlaylistView();
			if(playlistIsOpen) {
				drawer_playlist.moveto(307, 31, speed);
				 pl23.visible = false;
			}
			playlistIsOpen = false;
		}
	}
}


function StartVideo()
{
	vid.visible = true;
	if (!videoIsOpen) {	
		ToggleVideoView();
	}
	visEffects.visible = false;
	vidIsRunning = true;
}

function EndVideo()
{
	vidIsRunning = false;
	if (videoIsOpen) {
		ToggleVideoView();
	}
	player.controls.stop();
	visEffects.visible = true;
	vid.visible = false;
}


function SetSourceImage() {
	if (boolPlaying) {
		var strSourceURL = player.currentMedia.sourceURL;	
		
			if(strSourceURL.search(/cd:/i) != -1) {
			cd.image = "light_on.bmp";
			net.image = "light_off.bmp";
			local.image = "light_off.bmp";
		} else if (strSourceURL.search(/\\/i) != -1){
			net.image = "light_off.bmp";
			cd.image = "light_off.bmp";
			local.image = "light_on.bmp";
		} else {
			net.image = "light_on.bmp";
			cd.image = "light_off.bmp";
			local.image = "light_off.bmp";			 
		}
	} else {
		cd.image = "light_off.bmp";
		net.image = "light_off.bmp";
		local.image = "light_off.bmp";
	}	
}


function resetEQ() {
	eq1.value=5;
	eq2.value=5;
	eq3.value=5;
	eq4.value=5;
	eq5.value=5;
	eq6.value=5;
	eq7.value=5;
	eq8.value=5;
	eq9.value=5;
	eq10.value=5;	
}